<?php

/*
 * Plugin Name: Ultimate Membership Pro - PayPlantation
 * Plugin URI: https://payplantation.com/ump/payplantation
 * Description: Accept all major credit cards directly on your  Ultimate Membership Pro in a seamless and secure checkout environment with PayPlantation.
 * Version: 1.0.0
 * Author: payplantation
 * Author URI: https://payplantation.com/
 * Developer: khalilfareh
 * Developer URI: https://www.fiverr.com/khalilfareh
 * Text Domain: ultimate-membership-pro-payplantation
 */


	include plugin_dir_path( __FILE__ ) . 'vendor/autoload.php';
	if ( !defined( 'UMP_PAYPLANTATION_PATH' ) ){
			define( 'UMP_PAYPLANTATION_PATH', plugin_dir_path( __FILE__ ) );
	}
	if ( !defined( 'UMP_PAYPLANTATION_URL' ) ){
			define( 'UMP_PAYPLANTATION_URL', plugin_dir_url( __FILE__ ) );
	}

	$UmpPayPlantationSettings = new \UmpPayPlantation\Settings();
	$UmpPayPlantationViewObject = new \UmpPayPlantation\View();

	\UmpPayPlantation\Utilities::setSettings( $UmpPayPlantationSettings->get() );
	\UmpPayPlantation\Utilities::setLang();
	if ( !\UmpPayPlantation\Utilities::canRun() ){
			return;
	}

	if ( is_admin() ){
			$UmpPayPlantationAdmin = new \UmpPayPlantation\Admin\Main( $UmpPayPlantationSettings->get(), $UmpPayPlantationViewObject );
	}
	$UmpPayPlantation = new \UmpPayPlantation\Main( $UmpPayPlantationSettings->get(), $UmpPayPlantationViewObject );
